Build Genesis rewards claim transactions
Returns unsigned claim transactions for the browser wallet to sign. The worker never signs.
Body·
required
application/json
Claim terms
- Type: stringwalletrequired
- Type: "devnet" or "mainnet"enumnetwork
- Type: stringpayer
- additionalPropertyType: anythingproperty
Name
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/api/genesis/rewards/claim
curl https://api.musebook.trade/api/genesis/rewards/claim \
--request POST \
--header 'Content-Type: application/json' \
--data '{
"wallet": "",
"network": "devnet",
"payer": "",
"additionalProperty": "anything"
}'
{
"ok": true,
"claimable": true,
"transactions": [
"string"
],
"blockhash": "string",
"additionalProperty": "anything"
}